<template>
    <lightning-card>
        <div class="slds-var-m-around_medium ssnentry_div">
			<p class="labelssn" style="font-size: 16px;">SSN (Optional)		
			
			<lightning-helptext content=
			
			"Enter the patient’s SSN or click the pop out icon to select a value from the list."></lightning-helptext>
			</p>	
			<lightning-layout vertical-align="top">
				<lightning-layout-item flexibility="grow">
					<lightning-input
						class="ssn_input"
						label="SSN"
						value={ssn}
						variant="label-hidden"
						onchange={handleSSNChange}
					></lightning-input>
					</lightning-layout-item>
				<lightning-layout-item class="slds-form_horizontal button_css">
					<lightning-button-icon icon-name="utility:new_window" onclick={showModalBox}></lightning-button-icon>
				</lightning-layout-item>
			</lightning-layout>
            <template if:true={showSpecial}>
				<section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
					<div class="slds-modal__container">
					 <!-- modal header start -->
					   <header class="slds-modal__header">
						  <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={hideModalBox}>
							 <lightning-icon icon-name="utility:close"
								alternative-text="close"
								variant="inverse"
								size="small" ></lightning-icon>
							 <span class="slds-assistive-text">Close</span>
						  </button>
						  <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Special SSN Numbers</h2>

					   </header>
				   
					   <!-- modal body start -->
				    <div style="height: 300px;">
						<lightning-datatable
							key-field="ssn"
							data={data}
							columns={columns}
							max-row-selection="1"
							onrowselection={handleRowSelection}
							onrowaction={handleSpecial}>
						</lightning-datatable>
					</div>    
		 
					   <!-- modal footer start-->
					   <footer class="slds-modal__footer">
						<button class="slds-button slds-button_neutral" onclick={hideModalBox}>Cancel</button>
					   </footer>
					
					</div>
				 </section>
				 <div class="slds-backdrop slds-backdrop_open"></div>				
            </template>
        </div>
	</lightning-card>
</template>